Redland
view release on metacpan or search on metacpan
redland/raptor/configure view on Meta::CPAN
LIBS="$oLIBS"
{ echo "$as_me:$LINENO: checking for working expat in libexpat" >&5
echo $ECHO_N "checking for working expat in libexpat... $ECHO_C" >&6; }
if test $libexpat = 1 -a $ac_cv_header_expat_h = yes ; then
LIBS="$LIBS -lexpat"
if test "$cross_compiling" = yes; then
worked=no
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <stdio.h>
main() {XML_ParserCreate(NULL); return(0);}
_ACEOF
rm -f conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_try") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
worked=yes
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
( exit $ac_status )
worked=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
if test $worked = yes; then
# New expat - expat-1.95.0 or later
have_expat_lib=1
have_expat=1
expat_libs="-lexpat"
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
{ echo "$as_me:$LINENO: checking for expat support of UTF-8 BOM" >&5
echo $ECHO_N "checking for expat support of UTF-8 BOM... $ECHO_C" >&6; }
if test "$cross_compiling" = yes; then
{ { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
See \`config.log' for more details." >&5
echo "$as_me: error: cannot run test program while cross compiling
See \`config.log' for more details." >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#ifdef HAVE_EXPAT_H
#include <expat.h>
#else
#ifdef HAVE_XMLPARSE_H
#include <xmlparse.h>
#endif
#endif
int main(int argc, char **argv) {
const char *xml_buffer=
/* UTF-8 BOM */
"\xef\xbb\xbf<?xml version='1.0' encoding='UTF-8'?><tag/>";
XML_Parser xp=XML_ParserCreate(NULL);
int len=strlen(xml_buffer);
/* This might cause an error on expat 1.95.1 */
int rc=XML_Parse(xp, xml_buffer, len, 1);
/* if expat gives an error ... */
if(!rc) {
/* then the next line will crash in normal_updatePosition */
int line=XML_GetCurrentLineNumber(xp);
}
XML_ParserFree(xp);
return 0;
}
_ACEOF
rm -f conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_try") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
( exit $ac_status )
cat >>confdefs.h <<\_ACEOF
#define EXPAT_UTF8_BOM_CRASH 1
_ACEOF
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
{ echo "$as_me:$LINENO: WARNING: The available expat crashes on XML UTF-8 BOM in documents" >&5
echo "$as_me: WARNING: The available expat crashes on XML UTF-8 BOM in documents" >&2;}
{ echo "$as_me:$LINENO: WARNING: Fix either by using libxml or expat 1.95.2+" >&5
echo "$as_me: WARNING: Fix either by using libxml or expat 1.95.2+" >&2;}
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
LIBS="$oLIBS"
# Check whether --with-xml2-config was given.
if test "${with_xml2_config+set}" = set; then
withval=$with_xml2_config; xml2_config="$withval"
else
xml2_config=""
fi
if test "X$xml2_config" != "X" ; then
{ echo "$as_me:$LINENO: checking for $xml2_config" >&5
echo $ECHO_N "checking for $xml2_config... $ECHO_C" >&6; }
if test -f $xml2_config ; then
XML_CONFIG=$xml2_config
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
else
{ echo "$as_me:$LINENO: result: no - searching PATH" >&5
echo "${ECHO_T}no - searching PATH" >&6; }
fi
fi
if test "X$XML_CONFIG" = "X"; then
for ac_prog in xml2-config
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_XML_CONFIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$XML_CONFIG"; then
ac_cv_prog_XML_CONFIG="$XML_CONFIG" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
( run in 0.528 second using v1.01-cache-2.11-cpan-ff9377addf4 )